import 'package:design/design.dart';

import 'l10n/generated/app_localizations.dart';
import 'l10n/generated/app_localizations_en.dart';

class UIStrings {
  static AppLocalizations? _instance;

  static AppLocalizations get() {
    AppLocalizations? result = _instance;
    if (result == null) {
      result = AppLocalizations.of(Get.context!) ?? AppLocalizationsEn();
      _instance = result;
    }
    return result;
  }
}
